package com.dayou.mapper;

import com.dayou.common.CascaderDTO;
import com.dayou.entity.ReportHeadline;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报告标题 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-08-09
 */
public interface ReportHeadlineMapper extends CustomBaseMapper<ReportHeadline> {

    List<ReportHeadline> getHeadline(@Param("rootId") Long rootId);

    List<CascaderDTO> getAllHeadlineTree();

    List<ReportHeadline> getHeadlinesByType(@Param("reportType") String reportType);
}
